#
#       Makefile for sample applications
#

DEBUG= E        # set to D for disable, E for enable

#
#
# auto configure section
#
#

#if DEBUG=E
IDEBUG=-v
#endif

CLIB=..\lib\ertostcp.lib ..\lib\rtos.lib

CFLAGS= -ml $(IDEBUG) -I..\inc;.
CC= bcc $(CFLAGS)

#
#
#  list of executables
#
#

.c.exe:
        $(CC) $*.c $(CLIB)

all: web4test.exe email.exe fingtest.exe telnetd.exe modem.exe \
        cgitest.exe cookie.exe \
        ball.exe netball.exe xmodem.exe \
        findgate.exe netwatch.exe
        echo done $(TEXTMODEL) make with debugging $(TEXTDEBUG)


